package lc.ris.svc;

import lc.mecha.fabric.HandlerStatus;
import lc.mecha.http.server.HttpTransaction;
import lc.mecha.http.server.PrefixedHandler;

import java.nio.charset.StandardCharsets;
import java.util.Set;

public class ItemUpdateHandler extends PrefixedHandler {
    public ItemUpdateHandler(Set<String> pathPrefixes) {
        super(pathPrefixes);
    }

    @Override
    public HandlerStatus handlePrefixedWebRequest(HttpTransaction request) throws Throwable {
        request.httpServletResponse.getOutputStream().write("Item Updated".getBytes(StandardCharsets.UTF_8));
        return HandlerStatus.BREAK;
    }
}
